<?php
session_start();

include('session_check.php'); // o './session_check.php' según ruta


if (
    isset($_SESSION['ingreso']) && $_SESSION['ingreso'] === 'YES' &&
    !empty($_SESSION['usuario']) && !empty($_SESSION['id_registro'])
) {
    header("Location: pages/index.php");
    exit;
} else {
    session_destroy(); // Limpia sesión si estaba mal formada
    header("Location: ../views/index.php");
    exit;
}
